xine-lib: xine-lib-1.2.13/src/xine-utils/copy.c File Reference

xine-lib 1.2.13-20230125hg15249

Functions
copy.c File Reference
`#include <xine/xineutils.h>`

## Functions
static void | _copy_plane (uint8_t *restrict dst, const uint8_t *restrict src, int dst_pitch, int src_pitch, int width, int height)
void | yv12_to_yv12 (const unsigned char *y_src, int y_src_pitch, unsigned char *y_dst, int y_dst_pitch, const unsigned char *u_src, int u_src_pitch, unsigned char *u_dst, int u_dst_pitch, const unsigned char *v_src, int v_src_pitch, unsigned char *v_dst, int v_dst_pitch, int width, int height)
void | yuy2_to_yuy2 (const unsigned char *src, int src_pitch, unsigned char *dst, int dst_pitch, int width, int height)
void | _x_nv12_to_yv12 (const uint8_t *restrict y_src, int y_src_pitch, const uint8_t *restrict uv_src, int uv_src_pitch, uint8_t *restrict y_dst, int y_dst_pitch, uint8_t *restrict u_dst, int u_dst_pitch, uint8_t *restrict v_dst, int v_dst_pitch, int width, int height)
void | _x_yv12_to_nv12 (const uint8_t *y_src, int y_src_pitch, const uint8_t *u_src, int u_src_pitch, const uint8_t *v_src, int v_src_pitch, uint8_t *y_dst, int y_dst_pitch, uint8_t *uv_dst, int uv_dst_pitch, int width, int height)
void | _x_yuy2_to_nv12 (const uint8_t *src_yuy2_map, int yuy2_pitch, uint8_t *y_dst, int y_dst_pitch, uint8_t *uv_dst, int uv_dst_pitch, int width, int height)

## Function Documentation

## ◆ _copy_plane()

static void _copy_plane | ( | uint8_t *restrict | dst,
|  | const uint8_t *restrict | src,
|  | int | dst_pitch,
|  | int | src_pitch,
|  | int | width,
|  | int | height )
| static

References height, width, and xine_fast_memcpy.

Referenced by _x_nv12_to_yv12(), _x_yv12_to_nv12(), yuy2_to_yuy2(), and yv12_to_yv12().

## ◆ _x_nv12_to_yv12()

void _x_nv12_to_yv12 | ( | const uint8_t *restrict | y_src,
|  | int | y_src_pitch,
|  | const uint8_t *restrict | uv_src,
|  | int | uv_src_pitch,
|  | uint8_t *restrict | y_dst,
|  | int | y_dst_pitch,
|  | uint8_t *restrict | u_dst,
|  | int | u_dst_pitch,
|  | uint8_t *restrict | v_dst,
|  | int | v_dst_pitch,
|  | int | width,
|  | int | height )

References _copy_plane(), height, and width.

Referenced by _x_va_frame_provide_standard_frame_data().

## ◆ _x_yuy2_to_nv12()

void _x_yuy2_to_nv12 | ( | const uint8_t * | src_yuy2_map,
|  | int | yuy2_pitch,
|  | uint8_t * | y_dst,
|  | int | y_dst_pitch,
|  | uint8_t * | uv_dst,
|  | int | uv_dst_pitch,
|  | int | width,
|  | int | height )

References height, and width.

Referenced by vaapi_software_render_frame().

## ◆ _x_yv12_to_nv12()

void _x_yv12_to_nv12 | ( | const uint8_t * | y_src,
|  | int | y_src_pitch,
|  | const uint8_t * | u_src,
|  | int | u_src_pitch,
|  | const uint8_t * | v_src,
|  | int | v_src_pitch,
|  | uint8_t * | y_dst,
|  | int | y_dst_pitch,
|  | uint8_t * | uv_dst,
|  | int | uv_dst_pitch,
|  | int | width,
|  | int | height )

References _copy_plane(), height, width, xine_fast_memcpy, xine_free_aligned(), and xine_malloc_aligned().

Referenced by vaapi_software_render_frame().

## ◆ yuy2_to_yuy2()

void yuy2_to_yuy2 | ( | const unsigned char * | src,
|  | int | src_pitch,
|  | unsigned char * | dst,
|  | int | dst_pitch,
|  | int | width,
|  | int | height )

References _copy_plane(), height, and width.

Referenced by _x_get_current_frame_data(), crop_frame(), duplicate_frame(), write_frame_sfb(), and yuv_decode_data().

## ◆ yv12_to_yv12()

void yv12_to_yv12 | ( | const unsigned char * | y_src,
|  | int | y_src_pitch,
|  | unsigned char * | y_dst,
|  | int | y_dst_pitch,
|  | const unsigned char * | u_src,
|  | int | u_src_pitch,
|  | unsigned char * | u_dst,
|  | int | u_dst_pitch,
|  | const unsigned char * | v_src,
|  | int | v_src_pitch,
|  | unsigned char * | v_dst,
|  | int | v_dst_pitch,
|  | int | width,
|  | int | height )

References _copy_plane(), height, and width.

Referenced by _draw_image(), _x_get_current_frame_data(), _x_va_frame_provide_standard_frame_data(), crop_frame(), duplicate_frame(), realdec_decode_data(), send_frames(), vaapi_software_render_frame(), vpx_decode_data(), write_frame_sfb(), and yuv_decode_data().